microsoft-foundry.rest.security.o-auth2-auth
Datasets
Create or update a version
PATCH
/datasets/{name}/versions/{version}
Create a new or update an existing DatasetVersion with the given version id
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Parametry ścieżki
name
string
wymagane
The name of the resource
version
string
wymagane
The specific version id of the DatasetVersion to create or update.
Treść żądania
The DatasetVersion to create or update.
Content-Type: application/merge-patch+json
Jedna z następujących:
uri_file
FileDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
wymagane
Dataset type
uri_file
uri_folder
FolderDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
wymagane
Dataset type
uri_folder
Odpowiedzi
The request has succeeded.
Treść
Content-Type: application/json
Jedna z następujących:
uri_file
FileDatasetVersion
FileDatasetVersion Definition
type
enum
wymagane
Dataset type
uri_file
uri_folder
FolderDatasetVersion
FileDatasetVersion Definition
type
enum
wymagane
Dataset type
uri_folder
Żądanie
PATCH /datasets/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json